/* ====================================================================
 *
 * � 2010 Infosys Technologies Limited, Bangalore, India. All rights reserved. 
 * Infosys Test Automation Accelerator * Version: 6.7

 * Except for any open source software components embedded in this Infosys proprietary software program 
 * ("Program"), this Program is protected by copyright laws, international treaties and other pending or existing intellectual
 * property rights in India, the United States 
 * and other countries. Except as expressly permitted, any unauthorized reproduction, storage, transmission in any form 
 * or by any means (including without limitation electronic, mechanical, printing, photocopying, recording or otherwise),
 * or any distribution of this Program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

 ======================================================================*/
/*****************************************************************************
 *   Revision History
 *   ------------------
 *   Name         :  LoginService.java
 *   Author       :  Kirty_vs
 *   Date         :  10/August/2007
 *   Description  :  This is the interface for Login service
 *
 *    Modification Log
 * 	 Date                 Author                       Description
 * 	 ------------------------------------------------------------
 * 	 10/August/2007 	Kirty_vs 	          Created
 *   17-Jun-2008        Chitra_Subramanian    Added 2 new functions 
 *   strsessionId and setsessionId for performance tuning of ITAW
 *****************************************************************************/
package com.infosys.itaw.login.business.service;

import java.util.ArrayList;

import org.springframework.stereotype.Component;

import com.infosys.itaw.user.persistence.dto.UserDTO;
//import com.infosys.j2ee.core.Service;

/* importing java classes */
import itawexception.ItawException;

/**
 * The LoginService interface represents the interface for
 * <code>LoginServiceImpl</code>.
 * 
 * @author Kirty_vs
 */
@SuppressWarnings("unchecked")
@Component
public interface LoginService {

	/**
	 * Checks if the user exist
	 * 
	 * @param userDto-object
	 *            of UserDTO
	 * @return user id on success
	 * @throws
	 */
	public int intValidateUser(UserDTO userDto) throws ItawException;

	/*public int intValidateUser(String strUsername) throws ItawException;

	*//**
	 * Gets the privileges associated to the user
	 * 
	 * @param iUserId-Id
	 *            of the user
	 * @return list of privileges
	 * @throws
	 *//*
	public ArrayList arrValidateRole(int iUserId) throws ItawException;

	*//**
	 * Gets new password in case user forgets password
	 * 
	 * @param strUserName-Name
	 *            of the user
	 * @return TRUE on success
	 * @throws
	 *//*
	public boolean isGetNewPassword(String strUserName) throws ItawException;

	*//**
	 * @param strUserName
	 * @param strPassword
	 * @throws ITAWException
	 *//*
	public void changePassword(String strUserName, String strPassword) throws ItawException;

	*//**
	 * Retrive the projects of a particular user
	 * 
	 * @param iUserId-Id
	 *            of the user tooltype for different tools searchFlag to
	 *            determine a normal load or search option //Top-Down approach
	 *            searchName to search against the project names //Top-Down
	 *            approach
	 * @return arrProject-arraylist of projects of a particular user
	 * @throws ITAWException
	 *//*
	// public ArrayList arrLstProject(int iUserId,ArrayList toolType)throws
	// ITAWException; //Top-Down approach
	public ArrayList arrLstProject(int iUserId, ArrayList toolType, int searchFlag, String searchName) throws ItawException; // Top-Down

	// approach

	public int iprojectType(int projectId, String userName) throws ItawException;

	*//**
	 * Retrive the session id of a particular user
	 * 
	 * @param userId-Id
	 *            of the user
	 * @return strSessionid
	 * @throws ITAWException
	 * @Modification Log Date Author Description
	 *               ----------------------------------------------------------------------
	 *               17-Jun-2008 Chitra_Subramanian Added a new function
	 *               strsessionId for performance tuning of ITAW
	 *//*
	public String strsessionId(int userId) throws ItawException;

	*//**
	 * Sets the sessionid of a particular user
	 * 
	 * @param userId-Id
	 *            of the user
	 * @param strSessionId-session
	 *            Id of the user
	 * @return iResult
	 * @throws ITAWException
	 * @Modification Log Date Author Description
	 *               ----------------------------------------------------------------------
	 *               17-Jun-2008 Chitra_Subramanian Added a new function
	 *               setsessionId for performance tuning of ITAW
	 *//*
	public int setsessionId(int userId, String strSessionId) throws ItawException;

	public ArrayList getPlatformandToolList() throws ItawException;*/
}
