/* ====================================================================
 *
 * � 2010 Infosys Technologies Limited, Bangalore, India. All rights reserved. 
 * Infosys Test Automation Accelerator * Version: 6.7

 * Except for any open source software components embedded in this Infosys proprietary software program 
 * ("Program"), this Program is protected by copyright laws, international treaties and other pending or existing intellectual
 * property rights in India, the United States 
 * and other countries. Except as expressly permitted, any unauthorized reproduction, storage, transmission in any form 
 * or by any means (including without limitation electronic, mechanical, printing, photocopying, recording or otherwise),
 * or any distribution of this Program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

 ======================================================================*/
package itawexception;

import java.io.*;
import java.util.Properties;

 public class ItawException extends Exception {
	private String strErrorCode;
	private String strClassName;
	private String strMethodName;
	private String strMessage;
	
	
	public ItawException() {
	}

	public ItawException(String strErrorCode) {
		this.strErrorCode = strErrorCode;
		showMessage(strErrorCode); 
	}	
	
	public String getErrorCode() {
		return strErrorCode;
	}
	
	public String getMessage() {
		return strMessage;
	}

	public void setMessage(String message) {
		this.strMessage = message;
	}
	
	public void setClassName(String strClassName) {
		this.strClassName = strClassName;
	}
	
	public String getMethodName() {
		return strMethodName;
	}
	
	public ItawException(String strErrorCode, String strClassName, String strMethodName) 
	{
		this.strErrorCode = strErrorCode;
		this.strClassName = strClassName;
		this.strMethodName = strMethodName;
		
		showMessage(strErrorCode);
	}	
	public ItawException(String strErrorCode, String strClassName, String strMethodName,String strException){
		try {
		
			showMessage(strErrorCode);
			this.strErrorCode = strErrorCode;
			this.strClassName = strClassName;
			this.strMethodName = strMethodName;
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}	
public ItawException(String errMessage,Exception strException){
		
		setMessage(errMessage);
		this.strClassName = strException.getClass().getName();		
		
		strException.printStackTrace();
	}
	public String showMessage(String errorCode) {
		String strErrMsg=null;
		try
		{			          
			InputStream propFileStream = this.getClass().getClassLoader().getResourceAsStream("itawexception/ErrorMessages.properties");
			
			Properties prop = new Properties();
            prop.load(propFileStream);
            System.out.print(prop.getProperty(errorCode));
            strErrMsg = prop.getProperty(errorCode);            
            if(null == strErrMsg){
            	strErrMsg="";
            }
            System.out.print(strErrMsg);
            setMessage(strErrMsg);
            System.out.print(getMessage());
            
        }
        catch(Exception ex) {
           ex.printStackTrace();
        }
        return strErrMsg;
	  }
}
